import { ElementRef, Renderer2, OnInit } from '@angular/core';
export declare class FormComponent implements OnInit {
    private _elementRef;
    private _renderer;
    _el: HTMLElement;
    _prefixCls: string;
    nbLayout: 'horizontal' | 'inline';
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    setClassMap(): void;
}
